View Issue Details

IDProjectCategoryView StatusLast Update
0000293Cinelerra-GG[All Projects] Bugpublic2019-09-13 02:38
ReportercarlosnewmusicAssigned Togoodguy 
PriorityhighSeveritycrashReproducibilityalways
Status assignedResolutionopen 
Platformx86_64OSkaliOS Version5.2.9-2kali
Product Version2019-06 
Target VersionFixed in Version 
Summary0000293: error while loading shared libraries: libva.so.1
Descriptioncin: error while loading shared libraries: libva.so.1: cannot open shared object file: No such file or directory
Steps To Reproducestart the program
TagsGUI

Activities

carlosnewmusic

carlosnewmusic

2019-09-13 02:38

reporter   ~0002123

If installing it as if it were buster, everything works correctly
PhyllisSmith

PhyllisSmith

2019-09-11 00:53

manager   ~0002115

@Pierre,
THANKS so much -- I feel better now! as I now know that the build is usable. Will have to wait to hear from MatN.

@carlosnewmusic - once we fixed Buster, I think you have successfully installed Cin. So once we pinpoint MatN's issue, we will close this BT.
Pierre

Pierre

2019-09-11 00:47

updater   ~0002113

They all contain Cinelerra-GG installed from your packages that you prepare each month for Mint.

They all start well without difficulty.
Pierre

Pierre

2019-09-11 00:42

updater   ~0002112

No, I don't do any package work. I just wanted to inform you of what is included on my different versions of Mint by default.
PhyllisSmith

PhyllisSmith

2019-09-11 00:37

manager   ~0002111

@Pierre
Are you doing a package install on any of them? and if so, can you start cinelerra or do you get an error message concerning libva? That would be helpful information. In any case, the tar file install should work without any problem.
Pierre

Pierre

2019-09-10 23:51

updater   ~0002110

Here I have three computers running on Linux Mint Mate 64bit; one with version 18.3, one with 19.1 and one with 19.2

Checking by Synaptic none of them contain libva.so.1 or libva.so.2

18.3 and 19.1 contain lbva1 and 19.2 contains lbva2

Pierre
PhyllisSmith

PhyllisSmith

2019-09-10 22:10

manager   ~0002108

MatN: short answer - ALL Mint 19 versions need to have libva.so.2 installed because that is what is on our build machine. However, I am now confused by your Note correction but it may be location of libva is the problem.

"On a Mint 19.2 system ... The file system has only libva.so.1"
Verified by GG that the Mint package for August was built with libva.so.2. So ALL versions of Mint 19 need libva.so.2. As noted in the Release Notes, "O/S distros on developer’s build systems have had upgrades applied." - (and now I know that putting that in there is going to be helpful to me!) So probably the Mint 19 upgrade updated libva.so.1 to libva.so.2.

Mint 19 is just Mint 19 with no dot version extension, i.e. Tara. Mint 19.1 is Tessa, Mint 19.2 is Tina, and Mint 19.3 is not being officially released until December. So I think the download page is correct in stating 18 and 19 as we have a tendency to NOT install the dot releases.

""Malformed input, repository not added." ... normally works, but not on this particular machine."
"N: Updating from such a repository can't be done securely, and is therefore disabled by default.:

These messages indicate that "trusted=yes" is probably just missing on the one machine.
PhyllisSmith

PhyllisSmith

2019-09-10 18:41

manager   ~0002106

@MatN: we will look into Mint libva confusion today. It may be that Mint 19.2 or Mint 19.3 has libva.so.1 upgraded to libva.so.2. We did recently update out Mint distro but it is most likely Mint 19.1 and if the install package calls for libva.so.2 and your system has libva.so.1 -- you will get this error.

There is always a problem with different versions with various distros. I will have to let you know, but I am just guessing that the easiest fix is to update the libva.so.1 to .2.
MatN

MatN

2019-09-10 09:41

reporter   ~0002101

Typo, in my note https://www.cinelerra-gg.org/bugtracker/view.php?id=293#c2092 I wrote that the system "has only libva.so.1", this should be libva.so.2 . That system has been upgraded from 18.3 to 19 to 19.1 to 19.2 by me (it's in a different city) . CinGG used to work there.

On one of my systems, which was created at Mint 19.1 level then upgraded to Mint 19.2 , CinGG 20190831 works fine, even though that system does not have libva.so1 either, only libva.so.2 . I am very confused. Which version of Cin-GG requires libva.so1 and which libva.so.2 ?
MatN

MatN

2019-09-09 19:40

reporter   ~0002094

Could it be that there is a difference in build required for Mint 19 / 19.1 /19.2 ? The page https://cinelerra-gg.org/download/tars/ lists Mint 19 only.
But on the main download page https://www.cinelerra-gg.org/mint-package/ it only lists Mint 18 and Mint 19, and I think Mint 18 was fine for Mint 18.3 .
MatN

MatN

2019-09-09 19:37

reporter   ~0002093

Interestingly, when I do in a terminal "sudo apt-add-repository https://cinelerra-gg.org/download/pkgs/mint19 bionic main" I get no errors, and then "software sources" shows the proper repository.
But if I do from the cmd line "apt update" it gives an error:
=====================
Ign:1 http://ftp.nluug.nl/os/Linux/distr/linuxmint/packages tina InRelease
Hit:2 http://archive.canonical.com/ubuntu bionic InRelease
Hit:3 http://ftp.nluug.nl/os/Linux/distr/ubuntu bionic InRelease
Hit:4 http://ftp.nluug.nl/os/Linux/distr/ubuntu bionic-updates InRelease
Hit:5 http://ftp.nluug.nl/os/Linux/distr/ubuntu bionic-backports InRelease
Hit:6 http://ppa.launchpad.net/thierry-f/fork-michael-gruz/ubuntu bionic InRelease
Hit:7 http://ftp.nluug.nl/os/Linux/distr/linuxmint/packages tina Release
Get:8 http://security.ubuntu.com/ubuntu bionic-security InRelease [88,7 kB]
Ign:9 https://cinelerra-gg.org/download/pkgs/mint19 bionic InRelease
Err:10 https://cinelerra-gg.org/download/pkgs/mint19 bionic Release
  404 Not Found [IP: 104.27.143.18 443]
Reading package lists... Done
E: The repository 'https://cinelerra-gg.org/download/pkgs/mint19 bionic Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
========================

Hope this helps in pinpointing it.
MatN

MatN

2019-09-09 19:21

reporter   ~0002092

On a Mint 19.2 system I have the same libva.so.1 problem. The file system has only libva.so.1 This system worked OK with Mint 19.1 I think, certainly with Mint 18.3 before that.

In addition, and this may be related, when trying to add the Cin repository to software sources you get an error: "Malformed input, repository not added. This happens when I do it the usual way, I select on https://www.cinelerra-gg.org/mint-package/ the Mint 19 line, then when you do "add" in "additional repositories" and paste in in there it normally works, but not on this particular machine.
PhyllisSmith

PhyllisSmith

2019-09-04 18:21

manager   ~0002069

We just now found a build error with the Debian 10 package. It was defined as "stretch" instead of "buster". If Debian 10 is where you were having the problem, please try installing it one more time as we fixed it and now successfully installed it on a Debian 10 system here. We got no error.

Thank you for your patience.
PhyllisSmith

PhyllisSmith

2019-09-04 15:38

manager   ~0002068

Short answer, if you did a package install of Debian 8 or Debian 9, try Debian 10 package instead. Your error message indicates you are missing libva.so.1 which would be the case if you have libva.so.2 installed instead (we built Debian 8/9 with libva.so.1 here, but Debian 10 with libva.so.2). Please let us know if this works or not so we can help further.

Long answer and explanation:
OK, so when I search "kali" on the internet, the latest version of it contains kernel 5.2.9 which is nicely up-to-date but I am not sure if you have that latest installed. You can check to see whether or not you have libva.so.1 or libva.so.2 installed on your system. I believe the Debian command to check this is:
     sudo apt list --installed

We checked the several Debian build systems we have here and all of the version 8 and 9 64-bit and 32-bit use libva.so.1. But Debian 10 uses libva.so.2. If you have the latest kali installed it probably uses libva.so.2 and we only had libva.so.1 on our build systems for Debian 8/9 so if you are using 8 or 9 package you will get this error message.

This is probably more complicated than it should be.
carlosnewmusic

carlosnewmusic

2019-09-04 10:51

reporter   ~0002067

I use kali as I put in the error data, it would be like debian testing
PhyllisSmith

PhyllisSmith

2019-09-02 21:05

manager   ~0002065

Do you have libva installed? If you are using Arch, you will have to install that. If you are not using Arch, which distro are you using? Arch is different from most of the other Operating Systems in that when you install a package, it does not install all of the pre-requisites. A list of the pre-requisites is at:

https://www.cinelerra-gg.org/download/pkgs/README.arch
carlosnewmusic

carlosnewmusic

2019-09-02 20:57

reporter  

Issue History

Date Modified Username Field Change
2019-09-02 20:57 carlosnewmusic New Issue
2019-09-02 20:57 carlosnewmusic Tag Attached: GUI
2019-09-02 20:57 carlosnewmusic File Added: Captura de pantalla_2019-09-02_22-49-59.png
2019-09-02 21:05 PhyllisSmith Note Added: 0002065
2019-09-04 10:51 carlosnewmusic Note Added: 0002067
2019-09-04 15:38 PhyllisSmith Note Added: 0002068
2019-09-04 18:19 PhyllisSmith Assigned To => goodguy
2019-09-04 18:19 PhyllisSmith Status new => assigned
2019-09-04 18:21 PhyllisSmith Status assigned => feedback
2019-09-04 18:21 PhyllisSmith Note Added: 0002069
2019-09-09 19:21 MatN Note Added: 0002092
2019-09-09 19:37 MatN Note Added: 0002093
2019-09-09 19:40 MatN Note Added: 0002094
2019-09-10 09:41 MatN Note Added: 0002101
2019-09-10 18:41 PhyllisSmith Note Added: 0002106
2019-09-10 22:10 PhyllisSmith Note Added: 0002108
2019-09-10 23:51 Pierre Note Added: 0002110
2019-09-11 00:37 PhyllisSmith Note Added: 0002111
2019-09-11 00:42 Pierre Note Added: 0002112
2019-09-11 00:47 Pierre Note Added: 0002113
2019-09-11 00:53 PhyllisSmith Note Added: 0002115
2019-09-13 02:38 carlosnewmusic Note Added: 0002123
2019-09-13 02:38 carlosnewmusic Status feedback => assigned